Skip to main content
GET
/
v1
/
inquire
/
all-points-expiry
/
{profileId}
Get Expired Points
curl --request GET \
  --url https://vanilla-dev02-loyalty.fabric.zone/api/v1/inquire/all-points-expiry/{profileId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://vanilla-dev02-loyalty.fabric.zone/api/v1/inquire/all-points-expiry/{profileId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://vanilla-dev02-loyalty.fabric.zone/api/v1/inquire/all-points-expiry/{profileId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": 200,
  "message": "Success",
  "errors": {},
  "data": [
    {
      "memberExpirations": [
        {
          "expirationTimestamp": "2020-03-20T23:59:59.000000",
          "pointsExpired": 100
        }
      ]
    }
  ]
}
{
"message": "Error message string",
"errors": {
"ExceptionString": [
"Invalid Field"
]
},
"data": null,
"status": 400
}
{
"detail": "Authentication Failed"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

profileId
string
required

ProfileId of the member, which is generated in the response of the Enroll Member endpoint - POST /v1/members.

Query Parameters

startTimestampUTC
string

Start date of the date range, in UTC format.

endTimestampUTC
string

End date of the date range, in UTC format.

Response

OK

Response of the All-points Expiry API

status
integer<int32>

Status of the call.

Example:

200

message
string
default:Exception message

Message corresponding to the call

Example:

"Success"

errors
Errors · object

Error details, if applicable

Example:
{}
data
Data · object[]